Export Recommendation To Csv
Downloads the recommended infrastructure payload (policies, rules, groups) in a specified file format.
Notes:
- Currently supports
CSVoutput format via theoutput_formatquery parameter. - Use the
detail_levelquery parameter to choose betweenSUMMARY(simplified fields) orDETAILED(full payload data).
The id of the resource
The result id of a recommendation session for each site. For now the result id will be the site id.
The detail level of the recommendation output (summary or detailed).
The export format of the recommendation (e.g., CSV). Additional formats may be supported in the future.
The file containing the recommendation infrastructure payload was successfully generated and returned. The detail level (summary or detailed) is determined by the detail_level query parameter, and the export format (e.g., CSV) is determined by the output_format query parameter.
Bad Request
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Unauthorized
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Forbidden
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Precondition Failed
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Precondition Required
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Too Many Requests
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Error
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
curl -H 'Authorization: <value>' https://{api_host}/intelligence/recommendations/{id}/results/{result-id}/export?detail_level=v